# $Revision: 1.34 $, $Date: 2004/05/07 00:59:45 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	XML
Summary:	CGI::XML - Perl extension for converting CGI.pm variables to/from XML
Summary(pl):	CGI::XML - rozszerzenie Perla do konwersji zmiennych CGI.pm do/z formatu XML
Name:		perl-CGI-XML
Version:	0.1
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	219b1fe22dc6589a52f07b1301b88d0b
Patch0:		%{name}-test.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-XML-Parser
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGI::XML module converts CGI.pm variables from/to XML.

%description -l pl
Modu CGI::XML konwertuje zmienne CGI.pm z/do formatu XML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/CGI/XML.pm
%{_mandir}/man3/*

%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-XML.spec,v $
Revision 1.34  2004/05/07 00:59:45  ankry
- rel. 10

Revision 1.33  2004/05/06 18:09:19  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/25 20:44:58  ankry
- tests and patch added

Revision 1.31  2004/04/17 18:00:51  ankry
- license/summary/description fixes

Revision 1.30  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:08:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:36:52  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:27:22  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.21  2002/07/10 08:46:26  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 05:09:33  kloczek
- cosmetics.

Revision 1.18  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:09:58  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:24:42  depesz
adapterized

Revision 1.15  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 12:06:12  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2000/12/28 10:53:15  kloczek
- typo.

Revision 1.10  2000/12/28 10:45:05  kloczek
- release 5: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.9  2000/08/27 18:21:30  kloczek
- release 4.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:45  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/31 00:59:27  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
